#include <iostream>
#include "CPU/CPU.hpp"


int main(int argc, char** argv)
{
	if (argc != 2)
	{
		std::cerr << "Usage: " << argv[0] << "<ROM>\n";
		std::exit(EXIT_FAILURE);
	}

	CPU cpu;

	cpu.LoadRom("nestest.nes");

	while (true)
	{
		cpu.Cycle();
	}
}
